com.asprise.imaging.scan

## Enum FunctionalUnit.Mode

- java.lang.Object
- - java.lang.Enum<FunctionalUnit.Mode>
  - - com.asprise.imaging.scan.FunctionalUnit.Mode

- All Implemented Interfaces:
    Serializable, Comparable<FunctionalUnit.Mode>
  Enclosing class:
    FunctionalUnit

      public static enum FunctionalUnit.Mode
      extends Enum<FunctionalUnit.Mode>

  Scanning performance mode

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HIGH_SPEED`
    `NORMAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FunctionalUnit.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FunctionalUnit.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HIGH_SPEED

          public static final FunctionalUnit.Mode HIGH_SPEED

    - #### NORMAL

          public static final FunctionalUnit.Mode NORMAL

  - ### Method Detail

    - #### values

          public static FunctionalUnit.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FunctionalUnit.Mode c : FunctionalUnit.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FunctionalUnit.Mode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © Asprise Software. All Rights Reserved. Please visit the product page at asprise.com